OGRE: Ogre::AnimationControllerFunction Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::AnimationControllerFunction Class Reference

Predefined controller function for dealing with animation. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::AnimationControllerFunction:

[legend]
List of all members.

## Public Member Functions

| AnimationControllerFunction (Real sequenceTime, Real timeOffset=0.0f)
| Constructor.
Real | calculate (Real source)
| Overriden function.
void | setTime (Real timeVal)
| Set the time value manually.
void | setSequenceTime (Real seqVal)
| Set the sequence duration value manually.

## Protected Member Functions

Real | getAdjustedInput (Realinput)
| Gets the input value as adjusted by any delta.

## Protected Attributes

Real | mSeqTime
Real | mTime
bool | mDeltaInput
| If true, function will add imput values together and wrap at 1.0 before evaluating.
Real | mDeltaCount

## Detailed Description

Predefined controller function for dealing with animation.

Definition at line 186 of file OgrePredefinedControllers.h.

## Constructor & Destructor Documentation

Ogre::AnimationControllerFunction::AnimationControllerFunction | ( | Real | sequenceTime,
|  | Real | timeOffset = `0.0f`
| ) |

Constructor.

Parameters:

  | sequenceTime | The amount of time in seconds it takes to loop through the whole animation sequence.
  | timeOffset | The offset in seconds at which to start (default is start at 0)

## Member Function Documentation

Real Ogre::AnimationControllerFunction::calculate | ( | Real | source | ) | `[virtual]`

| Overriden function. Implements Ogre::ControllerFunction< Real >.

Real Ogre::ControllerFunction< Real >::getAdjustedInput | ( | Real | input | ) | `[protected, inherited]`

| Gets the input value as adjusted by any delta. Reimplemented in Ogre::WaveformControllerFunction. Definition at line 60 of file OgreController.h.

void Ogre::AnimationControllerFunction::setSequenceTime | ( | Real | seqVal | ) |

| Set the sequence duration value manually.

void Ogre::AnimationControllerFunction::setTime | ( | Real | timeVal | ) |

| Set the time value manually.

## Member Data Documentation

Real Ogre::ControllerFunction< Real >::mDeltaCount`[protected, inherited]`

| Definition at line 56 of file OgreController.h.

bool Ogre::ControllerFunction< Real >::mDeltaInput`[protected, inherited]`

| If true, function will add imput values together and wrap at 1.0 before evaluating. Definition at line 55 of file OgreController.h.

Real Ogre::AnimationControllerFunction::mSeqTime`[protected]`

| Definition at line 189 of file OgrePredefinedControllers.h.

Real Ogre::AnimationControllerFunction::mTime`[protected]`

| Definition at line 190 of file OgrePredefinedControllers.h.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:52 2008